RSS Subscription 168 Posts and 2,769 Comments

ASP.Net 2.0 Not Enabled Error During SCOM 2007 Prerequisite Check

During a Prerequisite check of installing System Center Operations Manager (SCOM) 2007, you may notice that you receive an error displaying that ASP .Net 2.0 is not enabled. If .Net Framework 2.0 has been installed, this error will occur if the .Net Framework 2.0 was installed prior to the installation of Internet Information Services (IIS). To prevent this issue, ensure that IIS is installed prior to the installation of .Net Framework 2.0. To work around an existing issue, do the following:

  1. Navigate to C:\Windows\Microsoft.NET\Framework\v2.0.50727
  2. Type aspnet_regiis.exe –i –enable
Share

7 Responses to “ASP.Net 2.0 Not Enabled Error During SCOM 2007 Prerequisite Check”

  1. on 08 Jan 2010 at 12:24 pmFranziskus Schmid

    Dude that was excellent and has just saved me a lot of time. Kepp up the good work.

    Franziskus

  2. on 22 Jan 2010 at 3:51 pmDanilo Arango

    aspnet_regiis.exe /i /enable

  3. on 22 Jan 2010 at 8:23 pmElan Shudnow

    Either or works. Using the – is actually what's in the documentation and what I used. But ya, the / works as well.

    http://msdn.microsoft.com/en-us/library/k6h9cz8h%

  4. on 26 Feb 2010 at 10:01 amTodd

    when I tried it with the – instead of / I got the usage.
    so – does not work in all cases.
    So I ran it with the / and it says it finished installed ASP.NET 2.0.5.*
    but I reran the prerequisite for SCOM and it still says ‘ASP.NET 2.0 required, verify it is installed.’

    Do I need to reboot for the install to be recognized.

  5. on 28 Jun 2010 at 8:48 amDaveG

    Or C:WindowsMicrosoft.NETFramework64v2.0.50727 if using 64bit

  6. on 06 Feb 2011 at 2:57 pm@sigwo

    Make sure you run the install as Administrator. If you do not, none of the above will get rid of the error.

  7. on 09 Nov 2011 at 4:19 amPat

    Awesome, thanks for that!!!

Trackback this post | Feed on Comments to this post

Leave a Reply